# wxCalculateLayoutEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/laywin.h>`

Inheritance diagram for wxCalculateLayoutEvent:
[legend]

## Detailed Description

This event is sent by wxLayoutAlgorithm to calculate the amount of the remaining client area that the window should occupy.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxCalculateLayoutEvent& event)

Event macros:

- EVT_CALCULATE_LAYOUT(func):
  Process a `wxEVT_CALCULATE_LAYOUT` event, which asks the window to take a 'bite' out of a rectangle provided by the algorithm.

##

Library: wxAdvanced
Category: Events

See also:
  wxQueryLayoutInfoEvent, wxSashLayoutWindow, wxLayoutAlgorithm.

## Public Member Functions

| wxCalculateLayoutEvent (wxWindowID id=0)
| Constructor.
int | GetFlags () const
| Returns the flags associated with this event.
wxRect | GetRect () const
| Before the event handler is entered, returns the remaining parent client area that the window could occupy.
void | SetFlags (int flags)
| Sets the flags associated with this event.
void | SetRect (const wxRect &rect)
| Call this to specify the new remaining parent client area, after the space occupied by the window has been subtracted.

List of all members.

## Constructor & Destructor Documentation

wxCalculateLayoutEvent::wxCalculateLayoutEvent | ( | wxWindowID | id = `0` | ) |

Constructor.

## Member Function Documentation

int wxCalculateLayoutEvent::GetFlags | ( |  | ) | const

Returns the flags associated with this event.

Not currently used.

wxRect wxCalculateLayoutEvent::GetRect | ( |  | ) | const

Before the event handler is entered, returns the remaining parent client area that the window could occupy.

When the event handler returns, this should contain the remaining parent client rectangle, after the event handler has subtracted the area that its window occupies.

void wxCalculateLayoutEvent::SetFlags | ( | int | flags | ) |

Sets the flags associated with this event.

Not currently used.

void wxCalculateLayoutEvent::SetRect | ( | const wxRect & | rect | ) |

Call this to specify the new remaining parent client area, after the space occupied by the window has been subtracted.

|  | [ top ]